{
    "objects": [
        {
            "attributes": {
                "description": "Kubernetes Controller Manager metrics",
                "hits": 0,
                "kibanaSavedObjectMeta": {
                    "searchSourceJSON": "{\"query\": {\"language\": \"kuery\", \"query\": \"\"}, \"filter\": [{\"query\": {\"match\": {\"event.dataset\": {\"query\": \"kubernetes.controllermanager\", \"type\": \"phrase\"}}}, \"meta\": {\"params\": {\"query\": \"kubernetes.controllermanager\"}, \"disabled\": false, \"type\": \"phrase\", \"alias\": null, \"indexRefName\": \"kibanaSavedObjectMeta.searchSourceJSON.filter[0].meta.index\", \"negate\": false, \"key\": \"event.dataset\", \"value\": \"kubernetes.controllermanager\"}, \"$state\": {\"store\": \"appState\"}}]}"
                },
                "optionsJSON": "{\"hidePanelTitles\": false, \"useMargins\": true}",
                "panelsJSON": "[{\"gridData\": {\"i\": \"1\", \"h\": 14, \"x\": 0, \"w\": 11, \"y\": 0}, \"panelIndex\": \"1\", \"embeddableConfig\": {}, \"version\": \"7.1.1\", \"panelRefName\": \"panel_0\"}, {\"gridData\": {\"i\": \"2\", \"h\": 14, \"x\": 11, \"w\": 11, \"y\": 0}, \"panelIndex\": \"2\", \"embeddableConfig\": {}, \"version\": \"7.1.1\", \"panelRefName\": \"panel_1\"}, {\"gridData\": {\"i\": \"3\", \"h\": 14, \"x\": 22, \"w\": 26, \"y\": 0}, \"panelIndex\": \"3\", \"embeddableConfig\": {}, \"version\": \"7.1.1\", \"panelRefName\": \"panel_2\"}, {\"gridData\": {\"i\": \"5\", \"h\": 12, \"x\": 0, \"w\": 24, \"y\": 39}, \"panelIndex\": \"5\", \"embeddableConfig\": {}, \"version\": \"7.1.1\", \"panelRefName\": \"panel_3\"}, {\"gridData\": {\"i\": \"6\", \"h\": 12, \"x\": 24, \"w\": 24, \"y\": 39}, \"panelIndex\": \"6\", \"embeddableConfig\": {}, \"version\": \"7.1.1\", \"panelRefName\": \"panel_4\"}, {\"gridData\": {\"i\": \"7\", \"h\": 13, \"x\": 24, \"w\": 24, \"y\": 14}, \"panelIndex\": \"7\", \"embeddableConfig\": {}, \"version\": \"7.1.1\", \"panelRefName\": \"panel_5\"}, {\"gridData\": {\"i\": \"8\", \"h\": 12, \"x\": 0, \"w\": 24, \"y\": 27}, \"panelIndex\": \"8\", \"embeddableConfig\": {}, \"version\": \"7.1.1\", \"panelRefName\": \"panel_6\"}, {\"gridData\": {\"i\": \"9\", \"h\": 12, \"x\": 24, \"w\": 24, \"y\": 27}, \"panelIndex\": \"9\", \"embeddableConfig\": {}, \"version\": \"7.1.1\", \"panelRefName\": \"panel_7\"}, {\"gridData\": {\"i\": \"10\", \"h\": 13, \"x\": 0, \"w\": 24, \"y\": 14}, \"panelIndex\": \"10\", \"embeddableConfig\": {}, \"version\": \"7.2.0\", \"panelRefName\": \"panel_8\"}]",
                "timeRestore": false,
                "title": "[Metricbeat Kubernetes] Controller Manager",
                "version": 1
            },
            "id": "97312060-9c1b-11e9-9dc8-fd27291d427f",
            "migrationVersion": {
                "dashboard": "7.0.0"
            },
            "references": [
                {
                    "id": "metricbeat-*",
                    "name": "kibanaSavedObjectMeta.searchSourceJSON.filter[0].meta.index",
                    "type": "index-pattern"
                },
                {
                    "id": "bcb194a0-9bf8-11e9-9dc8-fd27291d427f",
                    "name": "panel_0",
                    "type": "visualization"
                },
                {
                    "id": "3dbf6230-9c20-11e9-9dc8-fd27291d427f",
                    "name": "panel_1",
                    "type": "visualization"
                },
                {
                    "id": "d86b2da0-9c20-11e9-9dc8-fd27291d427f",
                    "name": "panel_2",
                    "type": "visualization"
                },
                {
                    "id": "0ca95350-9c24-11e9-9dc8-fd27291d427f",
                    "name": "panel_3",
                    "type": "visualization"
                },
                {
                    "id": "3e1e1fd0-9c27-11e9-9dc8-fd27291d427f",
                    "name": "panel_4",
                    "type": "visualization"
                },
                {
                    "id": "2ba628e0-9c2a-11e9-9dc8-fd27291d427f",
                    "name": "panel_5",
                    "type": "visualization"
                },
                {
                    "id": "8a95de50-9c38-11e9-9dc8-fd27291d427f",
                    "name": "panel_6",
                    "type": "visualization"
                },
                {
                    "id": "485c8550-9c3a-11e9-9dc8-fd27291d427f",
                    "name": "panel_7",
                    "type": "visualization"
                },
                {
                    "id": "7d80f790-9d96-11e9-b2ae-49acc4cbcea9",
                    "name": "panel_8",
                    "type": "visualization"
                }
            ],
            "type": "dashboard",
            "updated_at": "2019-07-03T16:33:10.995Z",
            "version": "WzI5OSwyXQ=="
        },
        {
            "attributes": {
                "description": "",
                "kibanaSavedObjectMeta": {
                    "searchSourceJSON": "{\"query\": {\"language\": \"kuery\", \"query\": \"\"}, \"filter\": []}"
                },
                "title": "Host selector [Metricbeat Kubernetes]",
                "uiStateJSON": "{}",
                "version": 1,
                "visState": "{\"params\": {\"useTimeFilter\": false, \"controls\": [{\"parent\": \"\", \"id\": \"1561982488150\", \"indexPatternRefName\": \"control_0_index_pattern\", \"type\": \"list\", \"fieldName\": \"host.hostname\", \"options\": {\"order\": \"desc\", \"type\": \"terms\", \"dynamicOptions\": true, \"multiselect\": true, \"size\": 5}, \"label\": \"Hostname\"}, {\"parent\": \"\", \"id\": \"1561982723711\", \"indexPatternRefName\": \"control_1_index_pattern\", \"type\": \"list\", \"fieldName\": \"service.address\", \"options\": {\"order\": \"desc\", \"type\": \"terms\", \"dynamicOptions\": true, \"multiselect\": false, \"size\": 5}, \"label\": \"Service address\"}], \"updateFiltersOnChange\": false, \"pinFilters\": false}, \"aggs\": [], \"type\": \"input_control_vis\", \"title\": \"Host selector [Metricbeat Kubernetes]\"}"
            },
            "id": "bcb194a0-9bf8-11e9-9dc8-fd27291d427f",
            "migrationVersion": {
                "visualization": "7.2.0"
            },
            "references": [
                {
                    "id": "metricbeat-*",
                    "name": "control_0_index_pattern",
                    "type": "index-pattern"
                },
                {
                    "id": "metricbeat-*",
                    "name": "control_1_index_pattern",
                    "type": "index-pattern"
                }
            ],
            "type": "visualization",
            "updated_at": "2019-07-03T07:20:34.226Z",
            "version": "WzEzMywxXQ=="
        },
        {
            "attributes": {
                "description": "",
                "kibanaSavedObjectMeta": {
                    "searchSourceJSON": "{\"query\": {\"language\": \"kuery\", \"query\": \"\"}, \"filter\": []}"
                },
                "title": "Controller Process [Metricbeat Kubernetes]",
                "uiStateJSON": "{}",
                "version": 1,
                "visState": "{\"params\": {\"axis_formatter\": \"number\", \"interval\": \"30s\", \"series\": [{\"fill\": 0.5, \"formatter\": \"number\", \"var_name\": \"started\", \"stacked\": \"none\", \"color\": \"#68BC00\", \"line_width\": 1, \"split_mode\": \"everything\", \"point_size\": 1, \"chart_type\": \"line\", \"id\": \"61ca57f1-469d-11e7-af02-69e470af7417\", \"axis_position\": \"right\", \"metrics\": [{\"id\": \"61ca57f2-469d-11e7-af02-69e470af7417\", \"field\": \"kubernetes.controllermanager.process.started.sec\", \"type\": \"max\"}, {\"id\": \"ebfdb1c0-9c1c-11e9-b29f-d55be9348723\", \"type\": \"math\", \"script\": \"round( (params._timestamp /1000 - params.started) / 86400, 2)\", \"variables\": [{\"id\": \"ef30a230-9c1c-11e9-b29f-d55be9348723\", \"field\": \"61ca57f2-469d-11e7-af02-69e470af7417\", \"name\": \"started\"}]}], \"separate_axis\": 0}, {\"fill\": 0.5, \"formatter\": \"number\", \"var_name\": \"fds\", \"stacked\": \"none\", \"color\": \"#68BC00\", \"line_width\": 1, \"split_mode\": \"everything\", \"point_size\": 1, \"chart_type\": \"line\", \"id\": \"1212ba80-9c1e-11e9-b29f-d55be9348723\", \"axis_position\": \"right\", \"separate_axis\": 0, \"metrics\": [{\"id\": \"1212ba81-9c1e-11e9-b29f-d55be9348723\", \"field\": \"kubernetes.controllermanager.process.fds.open.count\", \"type\": \"avg\"}], \"label\": \"\"}, {\"fill\": 0.5, \"formatter\": \"bytes\", \"var_name\": \"resident_memory\", \"stacked\": \"none\", \"color\": \"#68BC00\", \"line_width\": 1, \"split_mode\": \"everything\", \"point_size\": 1, \"chart_type\": \"line\", \"id\": \"3f3b17a0-9c1e-11e9-b29f-d55be9348723\", \"axis_position\": \"right\", \"separate_axis\": 0, \"metrics\": [{\"id\": \"3f3b17a1-9c1e-11e9-b29f-d55be9348723\", \"field\": \"kubernetes.controllermanager.process.memory.resident.bytes\", \"type\": \"avg\"}], \"label\": \"\"}, {\"fill\": 0.5, \"formatter\": \"bytes\", \"var_name\": \"virtual_memory\", \"stacked\": \"none\", \"color\": \"#68BC00\", \"line_width\": 1, \"split_mode\": \"everything\", \"point_size\": 1, \"chart_type\": \"line\", \"id\": \"b1a01b50-9c1f-11e9-b29f-d55be9348723\", \"axis_position\": \"right\", \"metrics\": [{\"id\": \"b1a01b51-9c1f-11e9-b29f-d55be9348723\", \"field\": \"kubernetes.controllermanager.process.memory.virtual.bytes\", \"type\": \"avg\"}], \"separate_axis\": 0}], \"type\": \"markdown\", \"index_pattern\": \"metricbeat-*\", \"time_field\": \"@timestamp\", \"markdown_css\": \"#markdown-61ca57f0-469d-11e7-af02-69e470af7417 table,#markdown-61ca57f0-469d-11e7-af02-69e470af7417 tr,#markdown-61ca57f0-469d-11e7-af02-69e470af7417 td,#markdown-61ca57f0-469d-11e7-af02-69e470af7417 th{border:none}\", \"axis_scale\": \"normal\", \"markdown\": \"|  |   |\\n|---|---|\\n|**Days running**|{{ math.started.last.raw }}|\\n|**File descriptors open**|{{ average_of_kubernetes_controllermanager_process_fds_open_count.fds.last.raw }}|\\n|**Resident Memory**|{{ average_of_kubernetes_controllermanager_process_memory_resident_bytes.resident_memory.last.formatted }}|\\n|**Virtual Memory**|{{ average_of_kubernetes_controllermanager_process_memory_virtual_bytes.virtual_memory.last.formatted }}|\\n\", \"markdown_less\": \"\\ntable, tr, td, th {\\n    border: none;\\n}\\n\\n\", \"id\": \"61ca57f0-469d-11e7-af02-69e470af7417\", \"axis_position\": \"left\", \"show_legend\": 1, \"default_index_pattern\": \"metricbeat-*\", \"drop_last_bucket\": 1, \"show_grid\": 1, \"default_timefield\": \"@timestamp\"}, \"aggs\": [], \"type\": \"metrics\", \"title\": \"Controller Process [Metricbeat Kubernetes]\"}"
            },
            "id": "3dbf6230-9c20-11e9-9dc8-fd27291d427f",
            "migrationVersion": {
                "visualization": "7.2.0"
            },
            "references": [],
            "type": "visualization",
            "updated_at": "2019-07-03T14:46:23.136Z",
            "version": "WzI5MSwyXQ=="
        },
        {
            "attributes": {
                "description": "",
                "kibanaSavedObjectMeta": {
                    "searchSourceJSON": "{\"query\": {\"language\": \"kuery\", \"query\": \"\"}, \"filter\": []}"
                },
                "title": "Controller HTTP request duration [Metricbeat Kubernetes]",
                "uiStateJSON": "{}",
                "version": 1,
                "visState": "{\"params\": {\"axis_formatter\": \"number\", \"interval\": \"auto\", \"series\": [{\"fill\": 0.5, \"formatter\": \"us,ms,2\", \"stacked\": \"none\", \"color\": \"rgba(165,228,85,1)\", \"line_width\": 1, \"split_mode\": \"everything\", \"point_size\": 1, \"chart_type\": \"line\", \"id\": \"61ca57f1-469d-11e7-af02-69e470af7417\", \"axis_position\": \"right\", \"separate_axis\": 0, \"metrics\": [{\"id\": \"61ca57f2-469d-11e7-af02-69e470af7417\", \"field\": \"kubernetes.controllermanager.http.request.duration.us.percentile.99\", \"type\": \"avg\"}], \"label\": \"P99\"}, {\"fill\": 0.5, \"formatter\": \"us,ms,2\", \"stacked\": \"none\", \"color\": \"#68BC00\", \"line_width\": 1, \"split_mode\": \"everything\", \"point_size\": 1, \"chart_type\": \"line\", \"id\": \"24fb4960-9c22-11e9-b29f-d55be9348723\", \"axis_position\": \"right\", \"separate_axis\": 0, \"metrics\": [{\"id\": \"24fb4961-9c22-11e9-b29f-d55be9348723\", \"field\": \"kubernetes.controllermanager.http.request.duration.us.percentile.90\", \"type\": \"avg\"}], \"label\": \"P90\"}, {\"fill\": 0.5, \"formatter\": \"us,ms,2\", \"stacked\": \"none\", \"color\": \"rgba(65,117,0,1)\", \"line_width\": 1, \"split_mode\": \"everything\", \"point_size\": 1, \"chart_type\": \"line\", \"id\": \"2e397790-9c22-11e9-b29f-d55be9348723\", \"axis_position\": \"right\", \"separate_axis\": 0, \"metrics\": [{\"id\": \"2e397791-9c22-11e9-b29f-d55be9348723\", \"field\": \"kubernetes.controllermanager.http.request.duration.us.percentile.50\", \"type\": \"avg\"}], \"label\": \"P50\"}], \"type\": \"timeseries\", \"index_pattern\": \"metricbeat-*\", \"time_field\": \"@timestamp\", \"axis_scale\": \"normal\", \"id\": \"61ca57f0-469d-11e7-af02-69e470af7417\", \"axis_position\": \"left\", \"show_legend\": 1, \"default_index_pattern\": \"metricbeat-*\", \"show_grid\": 1}, \"aggs\": [], \"type\": \"metrics\", \"title\": \"Controller HTTP request duration [Metricbeat Kubernetes]\"}"
            },
            "id": "d86b2da0-9c20-11e9-9dc8-fd27291d427f",
            "migrationVersion": {
                "visualization": "7.2.0"
            },
            "references": [],
            "type": "visualization",
            "updated_at": "2019-07-03T13:31:57.207Z",
            "version": "WzI2MywyXQ=="
        },
        {
            "attributes": {
                "description": "",
                "kibanaSavedObjectMeta": {
                    "searchSourceJSON": "{\"query\": {\"language\": \"kuery\", \"query\": \"\"}, \"filter\": []}"
                },
                "title": "Controller Longest running processor [Metricbeat Kubernetes]",
                "uiStateJSON": "{}",
                "version": 1,
                "visState": "{\"params\": {\"axis_formatter\": \"number\", \"axis_min\": \"0\", \"series\": [{\"fill\": 0.5, \"formatter\": \"number\", \"terms_size\": \"5\", \"terms_field\": \"kubernetes.controllermanager.name\", \"stacked\": \"none\", \"split_color_mode\": \"rainbow\", \"color\": \"#68BC00\", \"line_width\": 1, \"split_mode\": \"terms\", \"point_size\": 1, \"chart_type\": \"line\", \"id\": \"61ca57f1-469d-11e7-af02-69e470af7417\", \"axis_position\": \"right\", \"separate_axis\": 0, \"metrics\": [{\"id\": \"61ca57f2-469d-11e7-af02-69e470af7417\", \"field\": \"kubernetes.controllermanager.workqueue.longestrunning.sec\", \"type\": \"avg\"}], \"terms_order_by\": \"61ca57f2-469d-11e7-af02-69e470af7417\", \"terms_direction\": \"desc\", \"label\": \"\"}], \"type\": \"timeseries\", \"index_pattern\": \"metricbeat-*\", \"time_field\": \"@timestamp\", \"axis_scale\": \"normal\", \"interval\": \"auto\", \"id\": \"61ca57f0-469d-11e7-af02-69e470af7417\", \"axis_position\": \"left\", \"show_legend\": 1, \"default_index_pattern\": \"metricbeat-*\", \"show_grid\": 1, \"default_timefield\": \"@timestamp\"}, \"aggs\": [], \"type\": \"metrics\", \"title\": \"Controller Longest running processor [Metricbeat Kubernetes]\"}"
            },
            "id": "0ca95350-9c24-11e9-9dc8-fd27291d427f",
            "migrationVersion": {
                "visualization": "7.2.0"
            },
            "references": [],
            "type": "visualization",
            "updated_at": "2019-07-03T16:31:08.744Z",
            "version": "WzI5OCwyXQ=="
        },
        {
            "attributes": {
                "description": "",
                "kibanaSavedObjectMeta": {
                    "searchSourceJSON": "{\"query\": {\"language\": \"kuery\", \"query\": \"\"}, \"filter\": []}"
                },
                "title": "Controller Unfinished jobs sec [Metricbeat Kubernetes]",
                "uiStateJSON": "{}",
                "version": 1,
                "visState": "{\"params\": {\"axis_formatter\": \"number\", \"axis_min\": \"0\", \"series\": [{\"fill\": 0.5, \"formatter\": \"number\", \"terms_size\": \"5\", \"terms_order_by\": \"61ca57f2-469d-11e7-af02-69e470af7417\", \"stacked\": \"none\", \"split_color_mode\": \"rainbow\", \"color\": \"#68BC00\", \"line_width\": 1, \"split_mode\": \"terms\", \"point_size\": 1, \"chart_type\": \"line\", \"id\": \"61ca57f1-469d-11e7-af02-69e470af7417\", \"axis_position\": \"right\", \"metrics\": [{\"id\": \"61ca57f2-469d-11e7-af02-69e470af7417\", \"field\": \"kubernetes.controllermanager.workqueue.unfinished.sec\", \"type\": \"avg\"}], \"terms_field\": \"kubernetes.controllermanager.name\", \"separate_axis\": 0}], \"type\": \"timeseries\", \"index_pattern\": \"metricbeat-*\", \"time_field\": \"@timestamp\", \"axis_scale\": \"normal\", \"interval\": \"auto\", \"id\": \"61ca57f0-469d-11e7-af02-69e470af7417\", \"axis_position\": \"left\", \"show_legend\": 1, \"default_index_pattern\": \"metricbeat-*\", \"show_grid\": 1, \"default_timefield\": \"@timestamp\"}, \"aggs\": [], \"type\": \"metrics\", \"title\": \"Controller Unfinished jobs sec [Metricbeat Kubernetes]\"}"
            },
            "id": "3e1e1fd0-9c27-11e9-9dc8-fd27291d427f",
            "migrationVersion": {
                "visualization": "7.2.0"
            },
            "references": [],
            "type": "visualization",
            "updated_at": "2019-07-03T16:30:46.554Z",
            "version": "WzI5NywyXQ=="
        },
        {
            "attributes": {
                "description": "",
                "kibanaSavedObjectMeta": {
                    "searchSourceJSON": "{\"query\": {\"language\": \"kuery\", \"query\": \"\"}, \"filter\": []}"
                },
                "title": "Controller Memory [Metricbeat Kubernetes]",
                "uiStateJSON": "{}",
                "version": 1,
                "visState": "{\"params\": {\"axis_formatter\": \"number\", \"interval\": \"auto\", \"series\": [{\"fill\": 0.5, \"formatter\": \"bytes\", \"stacked\": \"none\", \"color\": \"rgba(251,158,0,1)\", \"line_width\": 1, \"split_mode\": \"everything\", \"point_size\": 1, \"chart_type\": \"line\", \"id\": \"61ca57f1-469d-11e7-af02-69e470af7417\", \"axis_position\": \"right\", \"separate_axis\": 0, \"metrics\": [{\"id\": \"61ca57f2-469d-11e7-af02-69e470af7417\", \"field\": \"kubernetes.controllermanager.process.memory.resident.bytes\", \"type\": \"avg\"}], \"label\": \"Resident\"}, {\"fill\": 0.5, \"formatter\": \"bytes\", \"stacked\": \"none\", \"color\": \"rgba(164,221,0,1)\", \"line_width\": 1, \"split_mode\": \"everything\", \"point_size\": 1, \"chart_type\": \"line\", \"id\": \"ac896b30-9c29-11e9-92c1-f7d03186c592\", \"axis_position\": \"right\", \"separate_axis\": 0, \"metrics\": [{\"id\": \"ac896b31-9c29-11e9-92c1-f7d03186c592\", \"field\": \"kubernetes.controllermanager.process.memory.virtual.bytes\", \"type\": \"avg\"}], \"label\": \"Virtual\"}], \"type\": \"timeseries\", \"index_pattern\": \"metricbeat-*\", \"time_field\": \"@timestamp\", \"axis_scale\": \"normal\", \"id\": \"61ca57f0-469d-11e7-af02-69e470af7417\", \"axis_position\": \"left\", \"show_legend\": 1, \"default_index_pattern\": \"metricbeat-*\", \"show_grid\": 1, \"default_timefield\": \"@timestamp\"}, \"aggs\": [], \"type\": \"metrics\", \"title\": \"Controller Memory [Metricset Kubernetes]\"}"
            },
            "id": "2ba628e0-9c2a-11e9-9dc8-fd27291d427f",
            "migrationVersion": {
                "visualization": "7.2.0"
            },
            "references": [],
            "type": "visualization",
            "updated_at": "2019-07-03T14:04:36.575Z",
            "version": "WzI3NSwyXQ=="
        },
        {
            "attributes": {
                "description": "",
                "kibanaSavedObjectMeta": {
                    "searchSourceJSON": "{\"query\": {\"language\": \"kuery\", \"query\": \"\"}, \"filter\": []}"
                },
                "title": "Controller Workqueue adds [Metricbeat Kubernetes]",
                "uiStateJSON": "{}",
                "version": 1,
                "visState": "{\"params\": {\"axis_formatter\": \"number\", \"interval\": \"auto\", \"series\": [{\"fill\": 0.5, \"formatter\": \"number\", \"terms_size\": \"5\", \"terms_order_by\": \"61ca57f2-469d-11e7-af02-69e470af7417\", \"stacked\": \"none\", \"split_color_mode\": \"rainbow\", \"color\": \"#68BC00\", \"line_width\": 1, \"split_mode\": \"terms\", \"point_size\": 1, \"chart_type\": \"line\", \"id\": \"61ca57f1-469d-11e7-af02-69e470af7417\", \"axis_position\": \"right\", \"metrics\": [{\"id\": \"61ca57f2-469d-11e7-af02-69e470af7417\", \"field\": \"kubernetes.controllermanager.workqueue.adds.count\", \"type\": \"avg\"}, {\"id\": \"9b5d85d0-9c38-11e9-92c1-f7d03186c592\", \"field\": \"61ca57f2-469d-11e7-af02-69e470af7417\", \"type\": \"derivative\", \"unit\": \"\"}], \"terms_field\": \"kubernetes.controllermanager.name\", \"separate_axis\": 0}], \"type\": \"timeseries\", \"index_pattern\": \"metricbeat-*\", \"time_field\": \"@timestamp\", \"axis_scale\": \"normal\", \"id\": \"61ca57f0-469d-11e7-af02-69e470af7417\", \"axis_position\": \"left\", \"show_legend\": 1, \"default_index_pattern\": \"metricbeat-*\", \"show_grid\": 1, \"default_timefield\": \"@timestamp\"}, \"aggs\": [], \"type\": \"metrics\", \"title\": \"Controller Workqueue adds [Metricbeat Kubernetes]\"}"
            },
            "id": "8a95de50-9c38-11e9-9dc8-fd27291d427f",
            "migrationVersion": {
                "visualization": "7.2.0"
            },
            "references": [],
            "type": "visualization",
            "updated_at": "2019-07-03T16:30:20.439Z",
            "version": "WzI5NiwyXQ=="
        },
        {
            "attributes": {
                "description": "",
                "kibanaSavedObjectMeta": {
                    "searchSourceJSON": "{\"query\": {\"language\": \"kuery\", \"query\": \"\"}, \"filter\": []}"
                },
                "title": "Controller Workqueue retries [Metricbeat Kubernetes]",
                "uiStateJSON": "{}",
                "version": 1,
                "visState": "{\"params\": {\"axis_formatter\": \"number\", \"axis_min\": \"0\", \"series\": [{\"fill\": 0.5, \"formatter\": \"number\", \"terms_size\": \"5\", \"terms_field\": \"kubernetes.controllermanager.name\", \"stacked\": \"none\", \"split_color_mode\": \"rainbow\", \"color\": \"#68BC00\", \"line_width\": 1, \"split_mode\": \"terms\", \"point_size\": 1, \"chart_type\": \"line\", \"id\": \"61ca57f1-469d-11e7-af02-69e470af7417\", \"axis_position\": \"right\", \"separate_axis\": 0, \"metrics\": [{\"id\": \"61ca57f2-469d-11e7-af02-69e470af7417\", \"field\": \"kubernetes.controllermanager.workqueue.retries.count\", \"type\": \"avg\"}, {\"id\": \"b3107560-9c39-11e9-92c1-f7d03186c592\", \"field\": \"61ca57f2-469d-11e7-af02-69e470af7417\", \"type\": \"derivative\", \"unit\": \"\"}], \"terms_order_by\": \"61ca57f2-469d-11e7-af02-69e470af7417\", \"terms_direction\": \"desc\", \"label\": \"\"}], \"type\": \"timeseries\", \"index_pattern\": \"metricbeat-*\", \"time_field\": \"@timestamp\", \"axis_scale\": \"normal\", \"interval\": \"auto\", \"id\": \"61ca57f0-469d-11e7-af02-69e470af7417\", \"axis_position\": \"left\", \"show_legend\": 1, \"default_index_pattern\": \"metricbeat-*\", \"show_grid\": 1, \"default_timefield\": \"@timestamp\"}, \"aggs\": [], \"type\": \"metrics\", \"title\": \"Controller Workqueue retries [Metricbeat Kubernetes]\"}"
            },
            "id": "485c8550-9c3a-11e9-9dc8-fd27291d427f",
            "migrationVersion": {
                "visualization": "7.2.0"
            },
            "references": [],
            "type": "visualization",
            "updated_at": "2019-07-03T16:29:29.303Z",
            "version": "WzI5NSwyXQ=="
        },
        {
            "attributes": {
                "description": "",
                "kibanaSavedObjectMeta": {
                    "searchSourceJSON": "{\"query\": {\"language\": \"kuery\", \"query\": \"\"}, \"filter\": []}"
                },
                "title": "Controller CPU [Metricbeat Kubernetes]",
                "uiStateJSON": "{}",
                "version": 1,
                "visState": "{\"params\": {\"axis_formatter\": \"number\", \"axis_min\": \"0\", \"series\": [{\"fill\": 0.5, \"formatter\": \"number\", \"value_template\": \"{{value}} s\", \"stacked\": \"none\", \"color\": \"#68BC00\", \"line_width\": 1, \"split_mode\": \"everything\", \"point_size\": 1, \"chart_type\": \"line\", \"id\": \"61ca57f1-469d-11e7-af02-69e470af7417\", \"axis_position\": \"right\", \"separate_axis\": 0, \"metrics\": [{\"id\": \"61ca57f2-469d-11e7-af02-69e470af7417\", \"field\": \"kubernetes.controllermanager.process.cpu.sec\", \"type\": \"avg\"}, {\"id\": \"47731390-9d96-11e9-9e81-115d18bcfeaa\", \"field\": \"61ca57f2-469d-11e7-af02-69e470af7417\", \"type\": \"derivative\", \"unit\": \"\"}], \"label\": \"CPU time\"}], \"type\": \"timeseries\", \"index_pattern\": \"metricbeat-*\", \"time_field\": \"\", \"axis_scale\": \"normal\", \"interval\": \"\", \"id\": \"61ca57f0-469d-11e7-af02-69e470af7417\", \"axis_position\": \"left\", \"show_legend\": 1, \"default_index_pattern\": \"metricbeat-*\", \"show_grid\": 1, \"default_timefield\": \"@timestamp\"}, \"aggs\": [], \"type\": \"metrics\", \"title\": \"Controller CPU [Metricbeat Kubernetes]\"}"
            },
            "id": "7d80f790-9d96-11e9-b2ae-49acc4cbcea9",
            "migrationVersion": {
                "visualization": "7.2.0"
            },
            "references": [],
            "type": "visualization",
            "updated_at": "2019-07-03T14:12:01.291Z",
            "version": "WzI3OCwyXQ=="
        }
    ],
    "version": "7.2.0"
}